from graphene import ObjectType
from netbox.graphql.types import NetBoxObjectType
from netbox.graphql.fields import ObjectField, ObjectListField
from . import filtersets, models

class dnacServerType(NetBoxObjectType):
    class Meta:
        model = models.dnacServer
        fields = '__all__'

class Query(ObjectType):
    dnacServer = ObjectField(dnacServerType)
    dnacServer_list = ObjectListField(dnacServerType)

schema = Query