from extras.plugins import PluginMenuItem, PluginMenuButton
from utilities.choices import ButtonColorChoices

dnacserver_buttons = [
    PluginMenuButton(
        link='plugins:dnac_integration:dnac_server_add',
        title='Add',
        icon_class='mdi mdi-plus-thick',
        color=ButtonColorChoices.GREEN
    )
]

menu_items = (
    PluginMenuItem(
        link='plugins:dnac_integration:dnac_server_list',
        link_text='DNAC Servers',
        buttons=dnacserver_buttons
    ),
)