from netbox.filtersets import NetBoxModelFilterSet
from .models import dnacServer

class dnacServerFilterSet(NetBoxModelFilterSet):
    def search(self, queryset, name, value):
        return queryset.filter(description__icontains=value)

    class Meta:
        model = dnacServer
        fields = ('id', 'hostname', 'username', 'password', 'version', 'verify', 'default_filter_action', 'status')