from netbox.views import generic
from django.db.models import Count
from . import forms, models, tables, filtersets

class dnacServerView(generic.ObjectView):
    queryset = models.dnacServer.objects.all()

class dnacServerListView(generic.ObjectListView):
    queryset = models.dnacServer.objects.all()
    table = tables.dnacServerTable

class dnacServerEditView(generic.ObjectEditView):
    queryset = models.dnacServer.objects.all()
    form = forms.dnacServerForm

class dnacServerDeleteView(generic.ObjectDeleteView):
    queryset = models.dnacServer.objects.all()